package m05bGastosTarjetaEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05GastosTarjetaEB</tt>.
 */

public class m05GastosTarjetaPK implements java.io.Serializable{

  /**
   * This is the primary key.
   * It is the modelo codigo, which is the primary key
   * in table <tt>m0518t00</tt>.
   */

  public String gastar_control;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05GastosTarjetaPK) {
      m05GastosTarjetaPK otherKey = (m05GastosTarjetaPK) obj;
      return ((this.gastar_control == otherKey.gastar_control));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.gastar_control.hashCode();
  }

}